package org.processmining.hybridminer.models.hybridpetrinet.candidateplaceiterator;

import org.processmining.hybridminer.models.hybridpetrinet.PartialPlaceEvaluation;
import org.processmining.hybridminer.models.hybridpetrinet.candidateplacestrategy.CandidatePlaceSelectionStrategy;
import org.processmining.models.graphbased.directed.AbstractDirectedGraphNode;

import java.util.Iterator;

public abstract class CandidatePlaceIterator<N extends AbstractDirectedGraphNode> implements Iterator<PartialPlaceEvaluation<N>> {
	private CandidatePlaceSelectionStrategy<N> selectionStrategy;

	public CandidatePlaceIterator(CandidatePlaceSelectionStrategy<N> selectionStrategy) {
		this.selectionStrategy = selectionStrategy;
	}

	public CandidatePlaceSelectionStrategy<N> getSelectionStrategy() {
		return selectionStrategy;
	}


	public void remove() {
		throw new UnsupportedOperationException("remove() is not supported by CandidatePlaceIterator!");
	}
	
	

}
